Name:           edje
Version:        1.7.8
Release:        1%{?dist}
License:        GPLv2+
Summary:        Abstract GUI layout and animation object library
Url:            http://www.enlightenment.org
Group:          System Environment/Libraries
Source:         http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2

BuildRequires: chrpath
BuildRequires: doxygen
BuildRequires: embryo
BuildRequires: ecore-devel
BuildRequires: eet-devel
BuildRequires: fontconfig-devel
BuildRequires: evas-devel
BuildRequires: libeina-devel
BuildRequires: lua-devel
BuildRequires: mate-common

%description
Abstract GUI layout and animation object library.

%package devel
Summary:        Edje headers, documentation and test programs
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       lua-devel
Requires:       zlib-devel 
Requires:       pth-devel
Requires:       ecore-devel 
Requires:       eet-devel 
Requires:       libeina-devel

%description devel
Headers,  test programs and documentation for edje.

%package utils
Summary:        Edje utils script to convert import from gimp and inkscape
Group:          Development/Libraries
Requires:       edje = %{version}
Requires:       python >= 2.5
Requires:       inkscape

%description utils
Edje utils script to convert import from gimp and inkscape.

%prep
%setup -q

%build
%configure --disable-static --disable-doc
make %{?_smp_mflags} V=1

#Temporarily disable doc due to size
#make doc %{?_smp_mflags}

%install
%make_install 
find %{buildroot}%{_libdir} -name '*.la' -exec rm -r {} +
chrpath --delete %{buildroot}%{_bindir}/%{name}_cc
chrpath --delete %{buildroot}%{_bindir}/%{name}_decc
chrpath --delete %{buildroot}%{_bindir}/%{name}_external_inspector
chrpath --delete %{buildroot}%{_bindir}/%{name}_player
chrpath --delete %{buildroot}%{_bindir}/%{name}_inspector
chrpath --delete %{buildroot}%{_libdir}/lib%{name}.so*

#comment out for now for size
# remove unfinished manpages
#find doc/man/man3 -size -100c -delete
#for l in todo %{name}.dox; do
#    rm -f doc/man/man3/$l.3
#done
#mkdir -p %{buildroot}%{_mandir}/man3
#install -Dpm0644 doc/man/man3/* %{buildroot}%{_mandir}/man3
#mv  %{buildroot}%{_mandir}/man3/authors.3 %{buildroot}%{_mandir}/man3/edje-authors.3

%post
/sbin/ldconfig
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/edje*
%{_datadir}/mime/packages/*
%dir %{_libdir}/edje
%{_libdir}/libedje.so.1*

%files devel
%doc AUTHORS COPYING README
#Commented out for size, will fix before import
#%{_mandir}/man3/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/edje
%{_includedir}/edje-1

%files utils
%doc AUTHORS COPYING README
%{_bindir}/inkscape2edc
%{_libdir}/edje/utils

%changelog
* Sun Aug 18 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.8-1
- Update to 1.7.8

* Fri Aug 16 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.7-4
- Update BRs and sort them alphabetically 
- Fixed dir ownership again

* Thu Aug 15 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.7-3
- Update license
- Own /usr/share/mime/packages
- Update BR's

* Wed Jun 26 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.7-2
- Fix directory ownership
- Add update-mime-db scriptlets

* Mon Jun 17 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.7-1
- Update to latest upstream release
- Update BR's and devel isa bits

* Fri Dec 28 2012 Rahul Sundaram <sundaram@fedoraproject.org> - 1.7.4-1
- initial spec. some changes from Terje Rosten <terje.rosten@ntnu.no> 

